/* тест поля */
/*body {
    background-color: red;
}*/


/* CSS для формы выбора Таба с нужной формой поиска */
.formPlaceData {
    display: none;
    z-index: 1;
}

.mainPlaceData {
    display: block;
}

#formTabs {
    margin: 0 auto;
}

#formThumbs {
    display: flex;
    flex-wrap: wrap;
    margin-bottom: -1px;
}

#formThumbs .labels {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    align-items: center;
    margin-right: 5px;
    padding: 1.2em;
    cursor: pointer;
    background-color: #ffffffc2;
    color: grey;
    border-top-left-radius: 3px;
    border-top-right-radius: 3px;
}


#formThumbs .labels:hover {
    color: #fff;
    background: linear-gradient(0deg, #86ceff 14%, #ffffff 50%);
}

#formThumbs .labels.active {
    background-color: #86ceff;
    color: #191919;
    z-index: 1;
}

#formPlace {
    position: relative;
    padding: 1em;
    background: linear-gradient(180deg, #86ceff 14%, #ffffff 45%);
    min-height: 250px;
}

#formPlace .formPlaceData {
    padding: 1em 10px;
}

#formPlace .formPlaceData.active {
    display: block;
}

.loader {
    position: absolute;
    display: none;
    z-index: 0;
    top: 30%;
    left: 50%;
    border: 8px solid #f3f3f3;
    /* Light grey */
    border-top: 8px solid #3498db;
    /* Blue */
    border-radius: 50%;
    width: 32px;
    height: 32px;
    animation: spin 2s linear infinite;
}

#search-form-box {
    z-index: 9;
    position: relative;
    margin-top: 10%;
    padding-bottom: 20px
}

#search-form-perm {
    position: relative;
    text-align: center;
    width: 100%;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(580deg);
    }
}

#ufs-railway-app {
    position: relative;
    z-index: 1;
}

.ex-widget {
    max-width: 100% !important;
}

.ex-header {
    padding: 0;
}

.ex-header__wrap {
    padding: 0;
}

.wg-train-info__direction {
    font-size: 12px !important;
    color: #21283e !important;
    font-weight: 500 !important;
    line-height: 1.33 !important;
}

#divASContainer {
    background-color: white;
    min-height: 244px;
    width: 100%;
}

#ruspo {
    background: none !important;
}

.ruspo-sponsor {
    display: none;
}

@media screen and (max-width: 991px) {

    #formThumbs {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
    }


    #formThumbs .labels {
        padding: .5em;
        align-items: center;
        justify-content: center;
    }

    #formThumbs .labels div {
        padding: 0 10px;
        font-size: 11px;
    }


    #formThumbs .labels:hover {
        /*background: linear-gradient(270deg, #86ceff 14%, #ffffff 50%);*/
        background: #86ceff;
    }

    #search-form-perm {
        position: relative;
        top: unset;
        left: unset;
        transform: unset;
    }


}


@media screen and (max-width: 560px) {
    #search-form-box {
        margin-top: 0;
    }

    #formThumbs {
        display: grid;
        grid-template-columns: 1fr 1fr;
    }


    #formThumbs .labels {
        word-break: break-word;
        padding: 0.5em;
    }

    .ex-widget {
        min-width: 0;
    }

    #formPlace {
        padding: 0;
    }


    #formPlace .formPlaceData {
        padding: 0.5em 0;
    }

}